%define _disable_ld_no_undefined 1

%define rversion	11.0

Name:		iverilog
Version:	%{rversion}
Release:	%mkrel 1
Summary:	Icarus Verilog is a Verilog compiler and simulator
Group:		Development/Other
License:	GPLv2
URL:		http://iverilog.icarus.com/
Source0:	ftp://icarus.com/pub/eda/verilog/v11/verilog-%{rversion}.tar.gz
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	bzip2-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gperf
BuildRequires:	autoconf

%description
Icarus Verilog is a Verilog compiler that generates a variety of
engineering formats, including simulation. It strives to be true
to the IEEE-1364 standard and supports a subset of the IEEE-1800
standard.

%prep
%setup -q -n verilog-%{rversion}
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%check
make check

%files
# contents of QUICK_START.txt can be found also on README.txt, hence omitted
%doc attributes.txt BUGS.txt COPYING extensions.txt glossary.txt ieee1364-notes.txt
%doc README.txt swift.txt netlist.txt t-dll.txt vpi.txt tgt-fpga/fpga.txt
%doc va_math.txt cadpli/cadpli.txt xilinx-hint.txt examples/
%{_bindir}/*
%{_libdir}/ivl/
%{_mandir}/man1/*
# headers for PLI: This is intended to be used by the user.
%{_includedir}/%{name}/
# RHBZ 480531
%{_libdir}/*.a


%changelog
* Sat Oct 17 2020 martinw <martinw> 11.0-1.mga8
+ Revision: 1636645
- new version 11.0

* Mon Aug 17 2020 martinw <martinw> 10.3-4.mga8
+ Revision: 1614596
- upstream bug fixes (incl. fixing build with bison 3.7)

* Tue Feb 18 2020 umeabot <umeabot> 10.3-3.mga8
+ Revision: 1542177
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 10.3-2.mga8
+ Revision: 1475972
- rebuild for readline

* Tue Oct 08 2019 daviddavid <daviddavid> 10.3-1.mga8
+ Revision: 1450503
- new version: 10.3

* Sun Sep 23 2018 umeabot <umeabot> 10.2-2.mga7
+ Revision: 1298341
- Mageia 7 Mass Rebuild

* Tue Apr 03 2018 kekepower <kekepower> 10.2-1.mga7
+ Revision: 1214845
- Update to version 10.2

* Tue Jan 02 2018 wally <wally> 0.9.20130819-5.mga7
+ Revision: 1189445
- rebuild for new readline

* Wed Feb 03 2016 umeabot <umeabot> 0.9.20130819-4.mga6
+ Revision: 933400
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.20130819-3.mga5
+ Revision: 746685
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.20130819-2.mga5
+ Revision: 680588
- Mageia 5 Mass Rebuild

* Sun Mar 02 2014 wally <wally> 0.9.20130819-1.mga5
+ Revision: 598558
- new upstream release 0.9.7
  (as version tag is messed up, use release date in version)
- drop unneeded provides/obsoletes
- fix URL
- clean .spec

* Fri Oct 18 2013 umeabot <umeabot> 0.9.20100928-4.mga4
+ Revision: 506094
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.20100928-3.mga3
+ Revision: 354595
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 13 2011 dmorgan <dmorgan> 0.9.20100928-2.mga1
+ Revision: 98143
- workaround link pb
- imported package iverilog


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.20100928-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 28 2010 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.9.20100928-1
- new stable upstream release

* Sat Sep 11 2010 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.9.20100911-1
- New sources for upcoming  - 0.9.3 - for testing repos only
- removing useless -devel subpackage

* Wed Dec 30 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.9.20091230-1
- New stable snapshot - 0.9.2

* Sat Dec 12 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.9.20091212-1
- New development snapshot - 0.9.2 final prerelease snapshot

* Sat Dec 05 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.9.20091205-1
- New development snapshot - 0.9.2 prerelease snapshot

* Fri Dec 04 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.9.20091204-1
- New development snapshot - 0.9.2 prerelease snapshot

* Sat Nov 28 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.9.20091130-1
- New development snapshot

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.20090423-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 13 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.9.20090423-5
- Improved VPI support

* Mon Mar 23 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.9.20081118-4
- new development release

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.20081118-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Dec 07 2008 Balint Cristian <rezso@rdsor.ro> 0.9.20081118-1
- new snapshot release upstream.

* Fri Sep 12 2008 Balint Cristian <rezso@rdsor.ro> 0.9.20080905-1
- new snapshot release upstream.

* Mon May 26 2008 Balint Cristian <rezso@rdsor.ro> 0.9.20080429-1
- new snapshot release upstream.

* Fri Mar 28 2008 Balint Cristian <rezso@rdsor.ro> 0.9.20080314-1
- new snapshot release upstream.
- add check section for some tests

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.20070608-2
- Autorebuild for GCC 4.3

* Sun Jun 10 2007 Balint Cristian <cbalint@redhat.com> 0.9.20070608-1
- new snapshot release upstream.

* Mon Apr 23 2007 Balint Cristian <cbalint@redhat.com> 0.9.20070421-1
- new snapshot release upstream.

* Thu Feb 27 2007 Balint Cristian <cbalint@redhat.com> 0.9.20070227-1
- new snapshot release.

* Thu Feb 27 2007 Balint Cristian <cbalint@redhat.com> 0.9.20070123-5
- clean junks from tarball
- exlude static library
- smp build seems fine
- use snapshot instead of cvsver macro
- follow package n-v-r from fedora standard

* Thu Feb 23 2007 Balint Cristian <cbalint@redhat.com> 20070123-4
- use cvsver macro
- move examples in main.
- more spec cleanup

* Thu Feb 23 2007 Balint Cristian <cbalint@redhat.com> 20070123-3
- buildroot coherency in spec

* Thu Feb 22 2007 Balint Cristian <cbalint@redhat.com> 20070123-2
- first build for fedora-extras
- request gnu/stubs-32.h to force working gcc in 32 bit enviroment
- fix PAGE_SIZE wich is missing on some arch
- dont use libdir macro, all library always will be 32 bit

* Thu Feb 22 2007 Balint Cristian <cbalint@redhat.com> 20070123-1
- initial release
